[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Red Hat 7.1 and gcc 3.0



Wolverine has gcc 2.96-75 which seems to be very close to 7.0's gcc
2.96-54. It also seems that the rule is to preserve binary
compatibility between minor releases.

Does anybody know how incompatible this 2.96 compiler will be compared
to gcc 3.0 (which seems not too far away now)?

My fear is that third parties will quickly move to gcc 3.0 to take
advantage of the stable C++ ABI and therefore break the compatibility
with Red Hat 7.x compiler...

________________________________________________________
Lionel Cons        http://home.cern.ch/~cons
CERN               http://www.cern.ch
 
To err is human but it takes a computer to really screw up!





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]